%define anolis_release 1

Name:           perl-File-Path
Version:        2.18
Release:        %{anolis_release}%{?dist}
Summary:        Create or remove directory trees
License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/File::Path
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/File-Path-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::More) >= 0.44
BuildRequires:  perl(strict) perl(Carp) perl(Cwd) perl(Exporter) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(vars) perl(base) perl(Config) perl(Errno) perl(Fcntl) perl(File::Spec::Functions)
BuildRequires:  perl(lib) perl(SelectSaver) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
This module provides a convenient way to create directories
of arbitrary depth and to delete an entire directory subtree
from the filesystem.

%prep
%autosetup -n File-Path-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%doc Changes
%{_mandir}/man3/*

%changelog
* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 2.18-1
- Initial version from upstream 2.18
